Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452357 - The mathml-fonts package needs some cleaning up
Summary: The mathml-fonts package needs some cleaning up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mathml-fonts
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 477423 (view as bug list)
Depends On: lyx-fonts
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 10:05 UTC by Nicolas Mailhot
Modified: 2009-09-17 02:29 UTC (History)
2 users (show)

Fixed In Version: 1.6.4-1.fc10
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-03 17:27:36 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2008-06-21 10:05:52 UTC
1. Please split the package so different upstreams with different licenses and
different levels of unicode compliance are not mixed toguether

(esp. since http://www.mozilla.org/projects/mathml/fonts/ now recommends *not*
installing some of them)

2. Please make sure the result is conformant with the latest font packaging
guidelines and current fc-cache behaviour
http://fedoraproject.org/wiki/Annotated_fonts_spec_template

3. Please document the result on
http://fedoraproject.org/wiki/Category:Packaged_fonts
using
http://fedoraproject.org/wiki/Font_description_template template

Comment 1 Nicolas Mailhot 2008-06-21 12:42:25 UTC
See also this wishlist item
https://fedoraproject.org/wiki/Asana_Math_font

Comment 2 Rex Dieter 2008-07-02 15:52:39 UTC
Nod, such cleanups have been a long-standing todo item of mine.  Still 
pondering the best approach to take here.

brainstorm:
1 make each upstream a subpkg
2 kill mathml-fonts altogether, package each upstream separately
3 some combo of 1 and 2

Comment 3 Nicolas Mailhot 2008-07-02 17:10:01 UTC
Obviously, I prefer do-it-all-cleanly option 2, but since you're the one doing
the work, that's your choice

Comment 4 Rex Dieter 2009-07-27 16:13:34 UTC
The more I look at it, the more 2 seems to be the only sane option here.  Will commence working on split items.

Comment 5 Rex Dieter 2009-07-27 16:14:36 UTC
*** Bug 477423 has been marked as a duplicate of this bug. ***

Comment 6 Rex Dieter 2009-07-27 17:31:10 UTC
mailed owners of packages with deps on mathml-fonts, including koffice, lyx, abiword, for details on what specifically is required by each of them.

In the near future, I'll EOL mathml-fonts, and potentially resurrect anything still needed.

Comment 7 Rex Dieter 2009-07-29 15:53:58 UTC
lyx-fonts pkg submitted for review, bug #514549

Comment 8 Susi Lehtola 2009-07-29 21:15:29 UTC
At least LyX is also available on EPEL and AFAIK the modern style font packages work only on >= F11 thanks to a series of mutually incompatible policy changes in the past.

What's the workaround for EPEL? Do you stick with mathml-fonts in the current EPEL releases?

Comment 9 Rex Dieter 2009-07-30 17:57:29 UTC
I'll make sure things stay compatible on the epel side of things, whether that means sticking with mathml-fonts as they are or incorporating something new, but compatible, is still unclear.

Comment 10 Rex Dieter 2009-08-03 17:27:36 UTC
now build as part of lyx

* Mon Aug 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.6.3-3                         
- add lyx-*-fonts subpkgs (#452357, #514549)                                               
- -common (noarch) subpkg                                                                  
- trim %changelog


TODO/FIXME remains to make lyx compatible with EPEL (in the absense of fontpackages-devel).  Still pondering on how best to do that.  May end up doing the font management by hand, not relying on fontpackages-devel at all.... not sure.

Comment 11 Nicolas Mailhot 2009-08-03 17:54:54 UTC
(In reply to comment #10)

> TODO/FIXME remains to make lyx compatible with EPEL (in the absense of
> fontpackages-devel).  Still pondering on how best to do that.  May end up doing
> the font management by hand, not relying on fontpackages-devel at all.... not
> sure.

fontpackages can probably be imported directly in EPEL if you need it, at worst you'll have to tweak the spec templates so they don't use stuff like noarch subpackages. The only hard dep of fontpackages is rpm (also if fontconfig is too old it won't autogenerate font metadata but then there's probably nothing to use it it EPEL either right now)

Comment 12 Fedora Update System 2009-08-26 19:31:31 UTC
lyx-1.6.4-1.fc11,koffice-1.6.3-24.20090306svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lyx-1.6.4-1.fc11,koffice-1.6.3-24.20090306svn.fc11

Comment 13 Fedora Update System 2009-08-26 19:45:52 UTC
lyx-1.6.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lyx-1.6.4-1.fc10

Comment 14 Fedora Update System 2009-09-15 07:52:48 UTC
lyx-1.6.4-1.fc11, koffice-1.6.3-24.20090306svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-09-15 07:56:59 UTC
lyx-1.6.4-1.fc10, koffice-1.6.3-24.20090306svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-09-17 02:29:59 UTC
lyx-1.6.4-1.el5, koffice-1.6.3-24.20090306svn.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.